Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.pdf.objects.StructObjectContent Class Reference
Inheritance diagram for foxit.pdf.objects.StructObjectContent:

## Public Types
enum | StructObjectType { StructObjectType.e_UnknownType = -1, StructObjectType.e_StructObjectTypeInvalid = 0, StructObjectType.e_StructObjectTypeImage = 1, StructObjectType.e_StructObjectTypeForm = 2, StructObjectType.e_StructObjectTypeAnnot = 3 }
| Enumeration for object type. More...
Public Types inherited from foxit.pdf.objects.StructTreeEntity
enum | StructTreeEntityType { StructTreeEntityType.e_UnknownType = -1, StructTreeEntityType.e_StructTreeEntityTypeElement = 0, StructTreeEntityType.e_StructTreeEntityTypeMarkedContent = 1, StructTreeEntityType.e_StructTreeEntityTypeObjectContent = 2 }
| Enumeration for structure tree entity type. More...

## Public Member Functions
| StructObjectContent ()
| Constructor.
PDFDictionary | GetDict ()
| Get PDF dictionary of related object. More...
StructObjectContent.StructObjectType | GetObjectType ()
| Get related object type. More...
StructElement | GetParentElement ()
| Get the parent structure element. More...
Public Member Functions inherited from foxit.pdf.objects.StructTreeEntity
| StructTreeEntity ()
| Constructor.
| StructTreeEntity (StructTreeEntity other)
| Constructor, with another structure element entity object. More...
PDFPage | GetPage ()
| Get the related PDF page. More...
StructTreeEntity.StructTreeEntityType | GetType ()
| Get structure tree entity type. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents a PDF object content item.

## Member Enumeration Documentation

## ◆ StructObjectType

enum foxit.pdf.objects.StructObjectContent.StructObjectType
| strong

Enumeration for object type.

Values of this enumeration should be used alone.

Enumerator
e_UnknownType | Unknown Type.
e_StructObjectTypeInvalid | Invaild object.
e_StructObjectTypeImage | Image object.
e_StructObjectTypeForm | Form object.
e_StructObjectTypeAnnot | Annot object.

## Member Function Documentation

## ◆ GetDict()

PDFDictionary foxit.pdf.objects.StructObjectContent.GetDict | ( |  | ) |
| inline

Get PDF dictionary of related object.

This function is available to the following types of objects: , and . For

## ◆ GetObjectType()

StructObjectContent.StructObjectType foxit.pdf.objects.StructObjectContent.GetObjectType | ( |  | ) |
| inline

Get related object type.

Returns
  Related object type. Please refer to values starting from and this would be one of these values.

## ◆ GetParentElement()

StructElement foxit.pdf.objects.StructObjectContent.GetParentElement | ( |  | ) |
| inline

Get the parent structure element.

Returns
  Parent structure element. If function StructElement::IsEmpty for the returned object returns true, that means current element does not have a parent element.